Home/Support/Support Forum/Issue with installing Yocto firmware to ConnectCore 6
Welcome to Digi Forum, where you can ask questions and receive answers from other members of the community.

Issue with installing Yocto firmware to ConnectCore 6

0 votes
My device is ConnectCore6 (Wi-i.MX6 Jumpstart Kit)
I connected the brand-new hardware and followed the instructions on :
https://www.digi.com/resources/documentation/digidocs/embedded/dey/2.4/cc6/yocto-gs_t_program-fw_cc6cc6plus

When I try to install the firmware but I have got an error.
The prompt is as follows:

=> \0x00
U-Boot 2013.04 - DUB-2.3.7.2 (Sep 14 2015 - 14:37:05)
CPU: Freescale i.MX6Q rev1.5 at 792 MHz
CPU: Temperature 23 C, calibration data: 0x55e4e169
Reset cause: POR
I2C: ready
DRAM: 1 GiB
MMC: FSL_SDHC: 0, FSL_SDHC: 1
In: serial
Out: serial
Err: serial
Board: ConnectCore 6 SBC v3
Variant: 0x02 - Consumer quad-core 1.2GHz, 4GB eMMC, 1GB DDR3, -20/+85C, Wireless, Bluetooth, Kinetis
Boot device: esdhc4 (eMMC)
PMIC: DA9063, Device: 0x61, Variant: 0x60, Customer: 0x00, Config: 0x56
Net: FEC [PRIME]
Hit any key to stop autoboot: 1 \0x08\0x08\0x08 0
=> run install_linux_fw_sd
## Error: "install_linux_fw_sd" not defined
=>

My SD card is SanDisk 2GB microSD card. It was formatted with FAT file syetem in an Ubuntu 16.04 virtual machine. The contents are decompressed from ccimx6sbc-installer.zip which is downloaded from the guide page.

=> fatls mmc 1
6868992 dey-image-qt-fb-ccimx6sbc.boot.vfat
754974720 dey-image-qt-fb-ccimx6sbc.ext4
11048448 dey-image-qt-fb-ccimx6sbc.recovery.vfat
5638 install_linux_fw_sd.scr
631 readme.txt
515072 u-boot-ccimx6dlsbc.imx
515072 u-boot-ccimx6dlsbc512mb.imx
527360 u-boot-ccimx6qsbc.imx
527360 u-boot-ccimx6qsbc2gb.imx
527360 u-boot-ccimx6qsbc512mb.imx
5638 uimage-ccimx6sbc.bin
11 file(s), 0 dir(s)
=> run install_linux_fw_sd
## Error: "install_linux_fw_sd" not defined
=>

Does anybody has got some ideas? Thanks.
asked Apr 4, 2019 in Linux by augustencian New to the Community (0 points)

Please log in or register to answer this question.

1 Answer

+2 votes
you have older u-boot. First time follow the old instructions from here:
https://www.digi.com/resources/documentation/digidocs/90002284/#task/yocto/t_program_firmware_yocto.htm%3FTocPath%3DDigi%2520Embedded%2520Yocto%7CGet%2520started%7C_____3

=> fatload mmc 1 $loadaddr install_linux_fw_sd.scr
=> source $loadaddr
after first upgrade the new u-boot will be programmed and next time this command will work
answered Apr 5, 2019 by LeonidM Veteran of the Digi Community (3,556 points)
Thank you very much! it works.
no problem. Please "Select" an answer if it helped to let others know.
...